-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 02/20/2015 11:01 PM, Matt Riedemann wrote:
> 
> 
> On 2/20/2015 6:23 AM, Alan Pevec wrote:
>>>> https://review.openstack.org/#/c/157535/
>>> 
>>> Do you know where it ends ? We could set up Depends lines on
>>> those requirements stable/* reviews and line them up so that
>>> they are ready to merge when openstackclient is fixed in
>>> devstack.
>> 
>> Alternative workaround is https://review.openstack.org/157654
>> which is blocked on swift-dsvm-functional issue fixed by 
>> https://review.openstack.org/157670 which is blocked on
>> neutronclient i.e. we got a cyclic dep here which will require
>> ninja merge to resolve.
>> 
>> I suggest to start with ninja merging 157670 which looks the
>> most innocent.
>> 
>> Once we get icehouse working again we can look at backporting
>> venv patch series to devstack icehouse.
>> 
>> 
>> Cheers, Alan
>> 
>> __________________________________________________________________________
>>
>>
>> 
OpenStack Development Mailing List (not for usage questions)
>> Unsubscribe: 
>> openstack-dev-requ...@lists.openstack.org?subject:unsubscribe 
>> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
>>
>
>> 
> We disabled the swift functional job on stable/icehouse since it
> doesn't have the tox target and shouldn't have been running on
> stable/icehouse:
> 
> https://review.openstack.org/#/c/157825/
> 
> That freed up Adam's devstack workaround change:
> 
> https://review.openstack.org/#/c/157654/
> 
> So we can now focus on the neutronclient cap:
> 
> https://review.openstack.org/#/c/157606/
> 
> That hit a problem with an uncapped pyghmi version in the gate so
> we're also now capping that library as well.
> 

UPD: pyghmi cap didn't work, and it seems that we hit a bug in
'git-diff' that makes it return wrong exit code when used with --quiet
argument. The workaround is to switch to --exit-code argument:

https://review.openstack.org/158247

Once it's merged, we hit another issue - requirements integration
tools trying to sync stable/icehouse requirements for pycadf that does
not maintain a stable branch. The proper fix for this issue is to
avoid integration run for those projects for stable branches:

https://review.openstack.org/158086

/Ihar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBAgAGBQJU6xpTAAoJEC5aWaUY1u57TkgIAKnys1hfuscwDTyErlbsvu6q
JnKkkHSfnn/so36xCt65r6mq1NeBUF+Wn4CFeoMwh6eIbql4aeXJC0voBwH5ScpL
HUKZtz2eL088wJfwu5yhn0TQleh1C5GCQf2rutQv1bcqdwhRbo1MLf0Dda34dJSg
HL6gNfYTm3TckgNvWujNxGOluEUg7It0a/myf9Hn0xDhyLCvdF9+7DMzvotmEai+
HuoGhaFBGjyEYgS/aCRjg0c0qtBxAk4pITQwuIvUzkDWLYQLuW6S4pzaySGDXxP0
zVbqMoReUtyCv1f6t9k43K+K1nj2yloBtlzBsUUF04n9YbGlfVqlWtHu2yAc86c=
=aMhI
-----END PGP SIGNATURE-----

__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to